LOTOS 주문 등록
curl --request POST \
--url https://gw-staging.delivered.co.kr/global-ship/open-api/v1/orders/lotos \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": [
{
"warehouseId": 1,
"sender": {
"name": "홍길동",
"contact": "01012345678"
},
"recipient": {
"country": "JP",
"name": "test kim",
"contact": "1235551234",
"address": "Centum jungang-ro, Haeundae-gu",
"addressDetail": "20F, 90",
"city": "Busan",
"state": "Busan",
"zipCode": "48059",
"importerJapaneseName": "山田 太郎",
"importerJapaneseAddress": "道玄坂1-2-3",
"importerJapaneseState": "東京都",
"importerJapaneseCity": "渋谷区",
"importerJapaneseZipCode": "150-0043",
"email": "test@domain.co.kr",
"personalCustomsClearanceCode": "P123456789012",
"importerJapaneseAddressDetail": "ビル 10F",
"importerCorporateNumber": "1234567890123"
},
"orderInfo": {
"mallOrderNumber": "ORDER202501010001",
"isExportDeclaration": true,
"domesticShippingNumber": "65434235223"
},
"packageInfo": {
"actualWeight": 3.26,
"quantity": 1,
"width": 11.76,
"length": 11.76,
"height": 11.76,
"serviceType": "POD"
},
"items": [
{
"name": "test item",
"price": 10000,
"currency": "KRW",
"quantity": 1,
"actualWeight": 3.22,
"originCountry": "KR",
"imageUrl": "https://example.com/item.png",
"hscode": "1234567890",
"itemUrl": "https://www.delivered.co.kr/en",
"itemCode": "1234567890",
"material": "의류"
}
]
}
]
}
'{
"isSuccess": true,
"orderSuccesses": [
{
"orderId": 1,
"mallOrderNumber": "ORD202501010001"
}
]
}주문 API (LOTOS)
주문 등록
주문 등록 전, 먼저 LOTOS 주문 유효성 검사 API를 통해 주문을 등록할 수 있는지 확인 뒤 등록 API를 사용하길 권장드립니다.
POST
/
open-api
/
v1
/
orders
/
lotos
LOTOS 주문 등록
curl --request POST \
--url https://gw-staging.delivered.co.kr/global-ship/open-api/v1/orders/lotos \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": [
{
"warehouseId": 1,
"sender": {
"name": "홍길동",
"contact": "01012345678"
},
"recipient": {
"country": "JP",
"name": "test kim",
"contact": "1235551234",
"address": "Centum jungang-ro, Haeundae-gu",
"addressDetail": "20F, 90",
"city": "Busan",
"state": "Busan",
"zipCode": "48059",
"importerJapaneseName": "山田 太郎",
"importerJapaneseAddress": "道玄坂1-2-3",
"importerJapaneseState": "東京都",
"importerJapaneseCity": "渋谷区",
"importerJapaneseZipCode": "150-0043",
"email": "test@domain.co.kr",
"personalCustomsClearanceCode": "P123456789012",
"importerJapaneseAddressDetail": "ビル 10F",
"importerCorporateNumber": "1234567890123"
},
"orderInfo": {
"mallOrderNumber": "ORDER202501010001",
"isExportDeclaration": true,
"domesticShippingNumber": "65434235223"
},
"packageInfo": {
"actualWeight": 3.26,
"quantity": 1,
"width": 11.76,
"length": 11.76,
"height": 11.76,
"serviceType": "POD"
},
"items": [
{
"name": "test item",
"price": 10000,
"currency": "KRW",
"quantity": 1,
"actualWeight": 3.22,
"originCountry": "KR",
"imageUrl": "https://example.com/item.png",
"hscode": "1234567890",
"itemUrl": "https://www.delivered.co.kr/en",
"itemCode": "1234567890",
"material": "의류"
}
]
}
]
}
'{
"isSuccess": true,
"orderSuccesses": [
{
"orderId": 1,
"mallOrderNumber": "ORD202501010001"
}
]
}Authorizations
accessTokenAuthorization
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
주문 정보 리스트
Required array length:
1 - 2147483647 elementsShow child attributes
Show child attributes
Response
200 - */*
OK
성공 유무
주문 등록이 성공하면 true가 반환되며, 성공한 주문 정보는 orderSuccesses 필드에 포함됩니다.
주문 등록이 실패하면 false가 반환되며, orderSuccesses 필드는 비어있습니다.
실패 사유를 확인하고 싶다면, 별도로 제공되는 주문 유효성 검사 API를 통해 자세한 정보를 확인할 수 있습니다.
Example:
true
성공 항목
Show child attributes
Show child attributes
⌘I